Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.padding
Class OneAndZeroes

    java.lang.Object
      |
      +--java.security.IJCE_Traceable
            |
            +--java.security.PaddingScheme
                  |
                  +--cryptix.provider.padding.OneAndZeroes

public final class OneAndZeroes
extends PaddingScheme

Class for padding cipher data with a binary-digit one, followed by as many binary-digit zeroes as needed to fill this instance's `blockSize`.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.3 $

Since:
  Cryptix 2.2.2
Author:
  Raif S. Naffah
See Also:
  `PaddingScheme`

Fields inherited from class java.security.PaddingScheme
`blockSize`

Constructor Summary
`OneAndZeroes()` Creates a OneAndZeroes object.

Method Summary
`protected boolean` | `engineIsValidBlockSize(int size)` SPI: Returns true if size is a valid block size (in bytes) for this algorithm.
`protected int` | `enginePad(byte[] in, int offset, int length)` Pads a given array of bytes.
`protected int` | `engineUnpad(byte[] in, int offset, int length)` Given the specified subarray of bytes that includes padding bytes, returns the index indicating where padding starts.

Methods inherited from class java.security.PaddingScheme
`clone, engineGetParameter, engineSetBlockSize, engineSetParameter, getAlgorithm, getAlgorithms, getAlgorithms, getBlockSize, getInstance, getInstance, getParameter, pad, paddingScheme, padLength, setParameter, toString, unpad`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OneAndZeroes

    public OneAndZeroes()

  Creates a OneAndZeroes object.

Method Detail

### enginePad

    protected int enginePad(byte[] in,
                            int offset,
                            int length)

  Pads a given array of bytes. The padding is written to the same buffer that is used for input (in). When this method returns, the padded block will be stored at `in[offset..offset+blockSize-1]`.
  Overrides:
    enginePad in class PaddingScheme
  Parameters:
    `in` - the buffer containing the incomplete block.
    `offset` - the offset into the in buffer of the first byte in the group of bytes to be padded.
    `length` - the number of bytes from the in buffer, starting at offset, that need to be padded.

### engineUnpad

    protected int engineUnpad(byte[] in,
                              int offset,
                              int length)

  Given the specified subarray of bytes that includes padding bytes, returns the index indicating where padding starts.
  Overrides:
    engineUnpad in class PaddingScheme
  Parameters:
    `in` - the buffer containing the bytes.
    `offset` - the offset into the in buffer of the first byte in the block.
    `length` - the number of bytes from the in buffer to check, starting at offset.
  Returns:
    the index into the in buffer indicating where the padding starts.

### engineIsValidBlockSize

    protected boolean engineIsValidBlockSize(int size)

  SPI: Returns true if size is a valid block size (in bytes) for this algorithm.

  For OneAndZeroes padding, all sizes are valid.

  Overrides:
    engineIsValidBlockSize in class PaddingScheme

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.